Author Topic: inkscape  (Read 3327 times)

TC

  • Member
  • *
  • Posts: 41
inkscape
« on: January 03, 2008, 05:12:01 am »
I have downloaded and tried to install inkscape and came up with the following Error:  configure: error: libgc (the Boehm Conservative Collector) 6.4+, is needed to compile inkscape.  Does anyone know where I can get this and how I install it onto my computer.  Thank you, TC. 

P.S. Already checked my repository and this one is not there.

exeterdad

  • Packager
  • Vectorian
  • ****
  • Posts: 2046
Re: inkscape
« Reply #1 on: January 03, 2008, 05:31:28 am »
I have downloaded and tried to install inkscape and came up with the following Error:  configure: error: libgc (the Boehm Conservative Collector) 6.4+, is needed to compile inkscape.  Does anyone know where I can get this and how I install it onto my computer.  Thank you, TC. 

P.S. Already checked my repository and this one is not there.

Are you getting that error installing the inkscape package from our repo's?  Or are you compiling your own from source?

libgc is listed as simply "gc" in our repo's.

lagagnon

  • Global Moderator
  • Vectorian
  • *****
  • Posts: 1922
Re: inkscape
« Reply #2 on: January 03, 2008, 09:41:41 am »
A quick search on the forum reminded me of an inkscape thread not long ago. It is already in our repositories:

http://www.vectorlinux.com/forum2/index.php?topic=5134.0
"As people become more intelligent they care less for preachers and more for teachers". Robert G. Ingersoll

TC

  • Member
  • *
  • Posts: 41
Re: inkscape
« Reply #3 on: January 04, 2008, 04:21:27 am »
I downloaded a package from a source because I do not have a copy in my repository, TC.

exeterdad

  • Packager
  • Vectorian
  • ****
  • Posts: 2046
Re: inkscape
« Reply #4 on: January 04, 2008, 04:43:53 am »
I downloaded a package from a source because I do not have a copy in my repository, TC.
That tells me either you don't have our testing repo enabled, or you are overdue for a update via Gslapt or slapt-get.  Because she is there waiting for you  ;)

TC

  • Member
  • *
  • Posts: 41
Re: inkscape
« Reply #5 on: January 04, 2008, 01:42:36 pm »
I have updated Gslapt so what is the testing repo and where can I get it?  Thank you, TC.

rbistolfi

  • Packager
  • Vectorian
  • ****
  • Posts: 2383
Re: inkscape
« Reply #6 on: January 04, 2008, 02:11:04 pm »
Hi TC, go to GSLAPT > EDIT > PREFERENCES > SOURCES and check the packages, testing, extra and patches repos. Then click in UPDATE.
"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!

TC

  • Member
  • *
  • Posts: 41
Re: inkscape
« Reply #7 on: January 05, 2008, 12:11:58 pm »
All of my repositories were already marked except for one called test which I do not have anywhere in my list of repositories.  I even marked a few other repositories to see if maybe it would show up there but still had no success.  It has appeared to have loaded onto my desktop under graphics but will not open up and run because of the following statement: configure: error: libgc (the Boehm Conservative Collector) 6.4+, is needed to compile inkscape -- http://www.hpl.hp.com/personal/Hans_Boehm/gc.  I went to the web site and downloaded gc6.7 and went through the ./configure, make, and make install which went well with no problems.  I then tried to ./configure inkscape again and came up with the same error.  What else can I do to get this program loaded onto my computer?  Thank you, TC.

exeterdad

  • Packager
  • Vectorian
  • ****
  • Posts: 2046
Re: inkscape
« Reply #8 on: January 05, 2008, 01:35:53 pm »
Please follow these steps:

Open Gslapt and Edit > Preferences > Sources (tab)

At the bottom of the new window you will see:
Sources= text entry box
Paste this into box:
http://vectorlinux.osuosl.org/veclinux-5.9/testing/
And then click the +Add button.
Click OK button.
A pop-up will open, click Yes.
Repo information will be updated.
Then search for inkscape.

Install and enjoy  :)